var docObj = app.activeDocument;

//レイヤーロック解除ここから
var lays = docObj.layers;
for ( var i = 0 ; i < lays.length ; i++){   //レイヤーの数だけ繰り返す
    try{
        lays[i].locked = false; //ロック解除
    }catch(e){};
};
//レイヤーロック解除ここまで

app.executeMenuCommand("unlockAll");    //すべてのロック解除

//要素をすべて選択ここから
var selObj = docObj.pageItems;
for( var i = 0 ; i < selObj.length ; i++){  //要素の数だけ繰り返す
    try{
        selObj[i].selected = true;  //要素の選択
    }catch(e){};
};
//要素をすべて選択ここから

app.executeMenuCommand("expandStyle");  //アピアランスの分解
app.executeMenuCommand("ungroup");   //グループ解除
app.executeMenuCommand("deselectall");  //選択解除

//テキストだけ選択ここから
var txtObj = docObj.textFrames;
for (var i = 0 ; i < txtObj.length; i++){   //テキストの数だけ繰り返す
    try {
        txtObj[i].selected = true;   //テキストの選択
    }catch(e){};
};
//テキストだけ選択ここまで

//空テキスト削除　ここから
var sel = docObj.textFrames;    
for(var i = 0 ; i < sel.length; i++){
    selObj = sel[i];
    try{
        var n = selObj.contents.length; //テキストの文字をカウント
        if(n === 0){    //文字数が０なら
            selObj.remove();    //削除
        };
    }catch(e){};
};
//空テキスト削除　ここまで

//テキストのアウトライン　ここから
app.executeMenuCommand("ungroup");   //グループの解除

var selText = docObj.selection; //選択中の要素

for (var i = 0 ; i < selText.length; i++){  //選択中の要素の数だけ繰り返す
    if(selText[i].typename === "TextFrame"){    //テキストフレームなら
        selText[i].createOutline(); //文字のアウトライン
    };
};
docObj.selection = null;    //選択解除
//テキストのアウトライン　ここから

//ゴミの削除　ここから
var pathObj = docObj.pathItems; //すべてのパスアイテム
for(var i = pathObj.length -1 ; i >= 0 ; i--){  //パスアイテムの数だけ繰り返す
    try{
        if(pathObj[i].pathPoints.length === 1){ //パスが１個なら
        pathObj[i].remove();    //パスの削除
        };
        if(!pathObj[i].filled && !pathObj[i].stroked){
            pathObj[i].remove();
        };
    }catch(e){};
};
//ゴミの削除　ここまで

//空レイヤー削除　ここから
var layObj = docObj.layers.length;
if(layObj === 1){
    alert("レイヤーが一枚なので削除できません");
}else{
    for(var i = layObj -1 ; i >= 0; i--){
        var d = docObj.layers[i];
        var t = d.compoundPathItems.length + d.graphItems.length + d.groupItems.length +
         d.legacyTextItems.length + d.meshItems.length + d.pathItems.length +
          d.placedItems.length + d.pluginItems.length + d.rasterItems.length +
           d.symbolItems.length + d.textFrames.length;
        if(t === 0){
            d.remove();
        };
    };
};
//空レイヤー削除　ここまで